﻿
<table>
    <tr style="height:30px">
        <td style="width: 60px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Shipment No";
                    label.Width = 100;
                }).GetHtml()
        </td>
        <td style="width: 150px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PARAM_SHIPMENT_NO2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 130;
                    settings.ClientEnabled = false;
                }).Bind(ViewData["SHIPMENT_NO"]).GetHtml()
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PARAM_BOOKING_NO2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 130;
                    settings.ClientEnabled = false;
                    settings.ClientVisible = false;
                }).Bind(ViewData["BOOKING_NO"]).GetHtml()
        </td>
        <td style="width: 60px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Service Code";
                    label.Width = 100;
                }).GetHtml()
        </td>
        <td style="width: 150px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PARAM_SERVICE_CODE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 130;
                    settings.Properties.EnableClientSideAPI = true;
                }).GetHtml()
        </td>
        <td style="width: 60px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Invoice No";
                    label.Width = 100;
                }).GetHtml()
        </td>
        <td style="width: 150px;">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PARAM_INVOICE_NO2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 130;
                    settings.Properties.EnableClientSideAPI = true;
                }).GetHtml()
        </td>
    </tr>
</table>

<table>
    <tr style="height:30px">
        <td style="width: 1500px;" align="right">
            @Html.DevExpress().Button(Button =>
            {
                Button.Name = "cmdSearchDetShipment";
                Button.Text = "Search";
                Button.Width = 100;
                Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                Button.ClientSideEvents.Click = "OnSearchDetShipment";
                //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("TMMINPackingServicePartExportMaintence", "FTR-SPEX-133-01", "SEARCH");
            }).GetHtml()
            @Html.DevExpress().Button(edtSetting =>
            {
                edtSetting.Name = "cmdClearDetShipment";
                edtSetting.Width = 90;
                edtSetting.Text = "Clear";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                edtSetting.ClientSideEvents.Click = "OnClearDetShipment";
                //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ManifestRecivingInquiry", "FTR-SPEX-175-01", "CLEAR");
            }).GetHtml()
        </td>
    </tr>
</table>
